libogg documentation | libogg release 1.3.4 - 20190830

# ogg_stream_destroy

declared in "ogg/ogg.h";

This function frees the internal memory used by the ogg_stream_state struct as well as the structure itself.

This should be called when you are done working with an ogg stream. It can also be called to make sure that the struct does not exist.

It calls free() on its argument, so if the ogg_stream_state is not malloc()'d or will otherwise be freed by your own code, use ogg_stream_clear instead.

    int ogg_stream_destroy(ogg_stream_state *os);

### Parameters

os
  Pointer to the ogg_stream_state struct to be destroyed.

### Return Values

> - 0 is always returned.

copyright © 2000-2019 Xiph.Org Foundation | Ogg Container Format
libogg documentation | libogg release 1.3.4 - 20190830